# 简介
C&C\++ Lab 可用于高等院校 `C 语言程序设计` 和 `C++ 语言程序设计` 实验教学。  
C&C\++ Lab 设计了丰富的教学功能和实验题目，为 C 语言提供了`十四个实验题目`，为 C++ 语言提供了`十七个实验题目`。还提供了 `EOJ 题库`，其中包含三百多道编程题目，覆盖了一百多个知识点，包含大量的 ACM 竞赛真题。  
教师用户也可以自行设计新的实验题目，我公司可以提供技术支持或定制服务。

[查看 C&C++ Lab 简介](http://www.engintime.com/node/40)

[下载 C&C++ Lab 白皮书](http://www.engintime.com/forum/download/file.php?id=27&sid=4e6858d384d50c1eb0b60678b89d9128)

# 观看演示录像
[C&C++ Lab 演示录像](#)`(Coming soon)`

# 实验教程
[《C&C++ 实验教程》](https://www.codecode.net/engintime/cpp-lab/book/blob/master/readme.md)

# 下载安装包
为了正常使用本软件，需要下载并安装下列软件。本软件可在 32/64 位 Windows 7/10 中安装使用。  

`注意`
```
建议在安装前关闭 360 软件，或者当 360 试图拦截安装过程时，选择信任本软件。
```

[C&C++ Lab 安装包（腾讯微云）](https://share.weiyun.com/5tXtVcs)

[32-bit Git 2.19.1 安装包](https://github.com/git-for-windows/git/releases/download/v2.19.1.windows.1/Git-2.19.1-32-bit.exe)（如已安装 Git 2.18 以上版本，可以忽略此安装包）

[Markdown 编辑器安装包](https://bitbucket.org/rhiokim/haroopad-download/downloads/Haroopad-v0.13.1-win-ia32.msi)（可选）

# 免费申请账号
本软件已提供给全国高校教师免费使用，现在就加入下面的教师 QQ 群向管理员申请账号吧！
```
学生用户申请账号，请加 QQ 群 688079382。
```

![QQ Group](https://www.codecode.net/engintime/codecode/codecode/raw/master/img/codecode.net-qq-group.png)

# 入门指南
1. [免费申请账号](#免费申请账号)
2. [下载安装包](#下载安装包)
3. 从 [实验教程](#实验教程) 中选取合适的编程题目，完成编程实验。
4. [提交问题或建议](https://www.codecode.net/engintime/cpp-lab/cpp-lab/issues)
